DirectoryIterator::isExecutable
DirectoryIterator::isLink
DirectoryIterator
PHP Manual

# DirectoryIterator::isFile

(PHP 5 <= 5.1.1)

DirectoryIterator::isFile — Returns true if file is a regular file

### Description

bool DirectoryIterator::isFile ( void )
Warning

This function is currently not documented; only its argument list is available.

Checks if it's a regular file.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the entry is a regular file, otherwise `FALSE`

DirectoryIterator::isExecutable
DirectoryIterator::isLink
DirectoryIterator
PHP Manual